ONVIF::Device::Elements::GetRelayOutputsResponse(3)

NAME
ONVIF::Device::Elements::GetRelayOutputsResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetRelayOutputsResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RelayOutputs

     $element->set_RelayOutputs($data);
     $element->get_RelayOutputs();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetRelayOutputsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   RelayOutputs =>  { # ONVIF::Device::Types::RelayOutput
     Properties =>  { # ONVIF::Device::Types::RelayOutputSettings
       Mode => $some_value, # RelayMode
       DelayTime =>  $some_value, # duration
       IdleState => $some_value, # RelayIdleState
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL